=== modified file 'drizzled/plugin.h'
--- drizzled/plugin.h	2008-10-16 11:16:12 +0000
+++ drizzled/plugin.h	2008-10-16 11:23:39 +0000
@@ -53,13 +53,15 @@
 #define DRIZZLE_STORAGE_ENGINE_PLUGIN  1  /* Storage Engine */
 #define DRIZZLE_INFORMATION_SCHEMA_PLUGIN  2  /* Information Schema */
 #define DRIZZLE_UDF_PLUGIN             3  /* User-Defined Function */
-#define DRIZZLE_UDA_PLUGIN             4  /* User-Defined Aggregate function */
+#define DRIZZLE_UDA_PLUGIN             4  /* User-Defined Aggregate Function */
 #define DRIZZLE_AUDIT_PLUGIN           5  /* Audit */
 #define DRIZZLE_LOGGER_PLUGIN          6  /* Query Logging */
 #define DRIZZLE_ERRMSG_PLUGIN          7  /* Error Messages */
 #define DRIZZLE_AUTH_PLUGIN            8  /* Authorization */
+#define DRIZZLE_CONFIG_PLUGIN          9  /* Configuration */
+#define DRIZZLE_QCACHE_PLUGIN         10  /* Query Cache */
 
-#define DRIZZLE_MAX_PLUGIN_TYPE_NUM    9  /* The number of plugin types */
+#define DRIZZLE_MAX_PLUGIN_TYPE_NUM   11  /* The number of plugin types */
 
 /* We use the following strings to define licenses for plugins */
 #define PLUGIN_LICENSE_PROPRIETARY 0

=== modified file 'drizzled/plugin_logging.h'
--- drizzled/plugin_logging.h	2008-09-12 02:25:32 +0000
+++ drizzled/plugin_logging.h	2008-10-16 04:18:06 +0000
@@ -1,5 +1,5 @@
 /*
-  Definitions required for Logging plugin 
+  Definitions required for Query Logging plugin 
 */
 
 #ifndef DRIZZLED_PLUGIN_LOGGING_H

=== modified file 'drizzled/sql_plugin.cc'
--- drizzled/sql_plugin.cc	2008-10-15 05:23:54 +0000
+++ drizzled/sql_plugin.cc	2008-10-16 04:18:06 +0000
@@ -42,7 +42,10 @@
   { C_STRING_WITH_LEN("UDA") },
   { C_STRING_WITH_LEN("AUDIT") },
   { C_STRING_WITH_LEN("LOGGER") },
-  { C_STRING_WITH_LEN("AUTH") }
+  { C_STRING_WITH_LEN("ERRMSG") },
+  { C_STRING_WITH_LEN("AUTH") },
+  { C_STRING_WITH_LEN("CONFIG") },
+  { C_STRING_WITH_LEN("QCACHE") }
 };
 
 extern int initialize_schema_table(st_plugin_int *plugin);
@@ -65,6 +68,7 @@
   0,  /* UDA */
   0,  /* Audit */
   logging_initializer,  /* Logger */
+  errmsg_initializer,  /* Error Messages */
   authentication_initializer  /* Auth */
 };
 
@@ -77,6 +81,7 @@
   0,  /* UDA */
   0,  /* Audit */
   logging_finalizer,  /* Logger */
+  errmsg_finalizer,  /* Logger */
   authentication_finalizer  /* Auth */
 };
 

